libzypp 17.37.10

CpeId.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp/Globals.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/base/EnumClass.h>`
`#include <zypp/base/SetRelationMixin.h>`

Go to the source code of this file.

## Classes
class | zypp::CpeId
| Common Platform Enumearation (2.3) See http://cpe.mitre.org/ for more information on the Common Platform Enumearation. More...
struct | zypp::CpeId::EAttributeDef
| WFN attributes (use like 'enum class Attribute') More...
struct | zypp::CpeId::NoThrowType
| Indicator type for non-trowing ctor. More...
class | zypp::CpeId::Value
| WFN attribute value. More...
struct | zypp::CpeId::Value::FsFormatType
| Indicator type for ctor arg in FS format. More...
struct | zypp::CpeId::Value::UriFormatType
| Indicator type for ctor arg in URI format. More...
struct | zypp::CpeId::Value::ETypeDef
| Classification of Value types mostly for match (use like 'enum class Type') More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::SETRELATIONMIXIN_DEFINE_COMPARE_BETWEEN (CpeId, const char *)
| zypp::SETRELATIONMIXIN_DEFINE_COMPARE_BETWEEN (CpeId, const std::string &)
| zypp::SETRELATIONMIXIN_DEFINE_COMPARE_BETWEEN (CpeId::Value, const char *)
| zypp::SETRELATIONMIXIN_DEFINE_COMPARE_BETWEEN (CpeId::Value, const std::string &)